#!/usr/bin/env nix-shell
#! nix-shell -i python3 --packages python3 python312Packages.resend

import resend
import subprocess

resend.api_key = subprocess.run(
    ["kwallet-query", "-r", "resend_api_key", "default", "-f", "Passwords"],
    capture_output=True,
    text=True,
).stdout.strip("\n")

params: resend.Emails.SendParams = {
    "from": "Borgmatic <onboarding@resend.dev>",
    "to": ["hyperreal@fedoraproject.org"],
    "subject": "Error running Borgmatic",
    "html": "There was an error running your Borgmatic backup. Please investigate.",
}

email = resend.Emails.send(params)
print(email)
